import * as React from 'react';
import { View } from 'react-native';
import Text from './text';
import Badge from './badge';

const MenuItem = ({
  activeIcon,
  idleIcon,
  menuTitle,
  selected,
  badge,
}: any): any => {
  return (
    <View className="justify-center items-center gap-[4px]">
      <View className="relative">
        {selected ? activeIcon : idleIcon}
        {badge && badge === 'dot' && (
          // <View className="absolute top-0 right-0 mt-[-2px] mr-[-2px] bg-red-500 w-[4px] h-[4px] rounded-full" />
          // <Badge variant={'dot'} color={'red'} />
          // <Badge variant={'new'} color={'red'} size={'medium'} />
          <Badge variant={'number'} color={'red'} size={'small'} count={1} />
        )}
      </View>
      {menuTitle && (
        <Text
          face={'caption'}
          weight={'bold'}
          size={'xsmall'}
          textColor={selected ? 'gray-900' : 'gray-400'}
        >
          {menuTitle}
        </Text>
      )}
    </View>
  );
};

export default MenuItem;
